import Editor from '@modules/editor/index';
import { Scene } from 'three';
import { IObjectLoader } from '@modules/editor/service/loader';
import { IFileUploadService } from '@modules/editor/service/upload';
type Services = {
    ObjectLoader: IObjectLoader;
    FileUploadService: IFileUploadService;
};
declare class EditorUpload {
    #private;
    readonly scene: Scene;
    constructor(editor: Editor, services: Services);
    init(): void;
}
export default EditorUpload;
