import { Group } from 'three';
export interface IObjectLoader {
    /**
     * mtl파일이 포함된 obj 파일 형식을 로드
     * @param files
     * @param filesMap
     */
    objectLoadAsFolder(files: File[]): Promise<any>;
}
declare class ObjectLoaderService implements IObjectLoader {
    #private;
    /**
     * mtl파일이 포함된 obj 파일 형식을 로드
     * @param files
     * @param filesMap
     */
    objectLoadAsFolder(files: File[]): Promise<Group>;
}
export default ObjectLoaderService;
